OpenPACE

Functions
ri.h File Reference

Interface for Restricted Identification. More...

`#include <eac/eac.h>`
`#include <openssl/bn.h>`
`#include <openssl/buffer.h>`

Go to the source code of this file.

## Functions
void | RI_CTX_clear_free (RI_CTX *s)
| Frees a `RI_CTX` object and all its components.
RI_CTX * | RI_CTX_new (void)
| Creates a new `RI_CTX` object.
int | RI_CTX_set_protocol (RI_CTX *ctx, int protocol)
| Initializes a `RI_CTX` object using the protocol OID. This parameter can be found in the RIInfo part of an EF.CardSecurity.
BUF_MEM * | RI_STEP2_compute_identifier (EAC_CTX *ctx, BUF_MEM *sector_pubkey)
| Compute a sector specific identifier for a card within a given sector.

## Detailed Description

Interface for Restricted Identification.

Restricted Identification is a protocol to generate pseudonym identifier based on key agreement protocol. The protocol use a secret key of an asymetric key pair and the public key of a second asymetric key pair. For every two diffrent secret keys with same public key the identifier is diffrent. For any two diffrent public keys it is computational infeasible to link two identifiers with the same secret key.

Author
  Dominik Oepen oepen.nosp@m.@inf.nosp@m.ormat.nosp@m.ik.h.nosp@m.u-ber.nosp@m.lin..nosp@m.de
  Frank Morgner frank.nosp@m.morg.nosp@m.ner@g.nosp@m.mail.nosp@m..com
  Paul Wilhelm wilhe.nosp@m.lm@m.nosp@m.ath.h.nosp@m.u-be.nosp@m.rlin..nosp@m.de

Definition in file ri.h.